ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Marihuanapflanze"
ENT.Category = "Drogenzüchtung"
ENT.Spawnable = true
ENT.IsWeedPlant = true
ENT.RenderGroup = RENDERGROUP_BOTH

function ENT:SetupDataTables()
	self:NetworkVar("Int", 0, "price")
	self:NetworkVar("Entity", 0, "owning_ent")
	self:NetworkVar("Bool", 0, "Dead")
	self:NetworkVar("Bool", 1, "CanGrow")
	self:NetworkVar("Bool", 2, "CanSell")
	self:NetworkVar("Int", 1, "Water")
	self:NetworkVar("Int", 2, "Level")
	self:NetworkVar("Int", 3, "Experience")
	self:NetworkVar("Int", 4, "ExpReq")
	self:NetworkVar("Int", 5, "SellAmount")
	self:NetworkVar("Int", 6, "SellDelay")
	self:NetworkVar("Int", 7, "SellTimer")
end

function ENT:PhysgunPickup(ply)
	return ply:IsAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return mode == "remover" and ply:IsAdmin()
end